Index: /trunk/tools/model_graphics.py
===================================================================
--- /trunk/tools/model_graphics.py	(revision 1147)
+++ /trunk/tools/model_graphics.py	(revision 1148)
@@ -2103,7 +2103,8 @@
 
             graphvals = ','.join(CFvplot)
-            graphvals = graphvals + ':lon|-1,lat|-1:lon|-1,lat|-1:lon:lat:' + cbar + \
-              ':' + ckind + ',' + cline + ':' + cfmt + ':' + srange + ':' + crange + \
-              ',9:' + figtit + ':' + kfig + ':None:' + mapval
+            graphvals = graphvals + ':lon|-1,lat|-1:lon|-1,lat|-1:lon:lat:auto:' +   \
+              cbar + ',auto,auto:' + ckind + ',' + cline + ':' + cfmt + ':' +        \
+              srange + ':' + crange + ',9:' + figtit + ':' + kfig + ':None:' +       \
+              mapval + ':True'
 
             fvarS = ','.join(vplot)
@@ -2223,7 +2224,7 @@
 
             graphvals = ','.join(CFvplot)
-            graphvals = graphvals + ':' + dims + ':' + cbar + ':' + ckind + ',' +    \
-              cline + ':' + cfmt + ':' + srange + ':' + crange + ',9:' + figtit +    \
-              ':' + kfig + ':' + reverse + ':None'
+            graphvals = graphvals + ':' + dims + ':auto:' + cbar + ',auto,auto:' +   \
+              ckind + ',' + cline + ':' + cfmt + ':' + srange + ':' + crange + ',9:' \
+              + figtit + ':' + kfig + ':' + reverse + ':None:True'
  
             fvarS = ','.join(vplot)
Index: /trunk/tools/model_graphics_template.dat
===================================================================
--- /trunk/tools/model_graphics_template.dat	(revision 1147)
+++ /trunk/tools/model_graphics_template.dat	(revision 1148)
@@ -18,7 +18,7 @@
 pyHOME = /home/lluis/etudes/WRF_LMDZ/svn/LMDZ_WRF/tools
 # cdo HOME
-cdoHOME = /home/lluis/bin/gcc_cdo/1.6.4rc6/bin/cdo
-
-# Srcatch: should be any previous work removed and start from the scratch?
+cdoHOME = /home/lluis/bin/gcc_cdo/1.6.4rc6/bin
+
+# Srcatch: should be any previous work removed and start from the scratch? (overwrites all 'scratch' values)
 scratch = false
 
@@ -27,30 +27,51 @@
 
 # Scratch figures: should be any figures previous work removed and start from the scratch?
-figscratch = false
-
-# Scratch differences: should be any differences previous work removed and start from the scratch?
+figscratch = true
+
+# Scratch differences: should be any experiment differences previous work removed and start from the scratch?
 diffscratch = false
 
-# Scratch difference figures: should be any figures previous work removed and start from the scratch?
+# Scratch difference figures: should be any experiment difference figures previous work removed and start from the scratch?
 figdiffscratch = false
 
+# Scratch model differences: should be any model differences previous work removed and start from the scratch?
+moddiffscratch = false
+
+# Scratch model difference figures: should be any model difference figures previous work removed and start from the scratch?
+figmoddiffscratch = false
+
+# Scratch all model-experiments figures: should be any all model-experiments figures previous work removed and start from the scratch?
+figallmodexpscratch = false
+
+# Have new files, figures and differences been added and do they need to be processed? (overwrites all 'add' values)
+addall = false
+
 # Have new files been added and do they need to be processed?
-addfiles = true
+addfiles = false
 
 # Have new figures been added and do they need to be drawn?
 addfigures = true
 
-# Have new differences been added and do they need to be processed and drawn?
+# Have new experiment differences been added and do they need to be processed and drawn?
 adddiffs = true
 
-# Have new difference figures been added and do they need to be drawn?
+# Have new experiment difference figures been added and do they need to be drawn?
 adddifffigures = true
 
+# Have new model differences been added and do they need to be processed and drawn?
+addmoddiffs = true
+
+# Have new model difference figures been added and do they need to be drawn?
+addmoddifffigures = true
+
+# Have new all model-experiment figures been added and do they need to be drawn?
+addallmodexpfigures = true
+
 # Debug
-debug = false
+debug = true
 
 # Folder with the files
 ##ifold = /bdd/PCER/workspace/lfita/etudes/WRF_LMDZ/WaquaL/WRF_LMDZ
-ifold = /home/lluis/etudes/WRF_LMDZ/WaquaL_highres/tests/model_graphics
+ifold = /media/ExtDiskC_ext4/DATA/etudes/WRF_LMDZ/WaquaL_highres/short_copies
 
 # Output folder
@@ -58,15 +79,41 @@
 ofold = /home/lluis/etudes/WRF_LMDZ/WaquaL_highres/tests/model_graphics
 
-# Experiments (model runs)
+# Models
 #   WRF: WRF
 #   LMDZ: LMDZ model
 #   WRF_LMDZ: LMDZ physics coupled to WRF
-#models=WRF:WRF_LMDZ:LMDZ
-models=WRF
-
-# Experiments (labels of each experiment)
-WRFexps = control:pbl1
+models=WRF:WRF_LMDZ:LMDZ
+
+# Graphic characteristics for models
+#   Values to be used later in the graphics but not in '2lines'
+#    ':' separated list of [model]|[labmodel]|[color]|[linetype]|[marker]|[sizes]
+#     [model]: name of the model (equivalent to value in `models')
+#     [labmodel]: label of the model as it should appear in the graphics
+#     [color]: specific color of the model (and might related to all its experiments in lines plots)
+#     [linetype]: specific type of line of the model (and might related to all its experiments in lines plots)
+#     [marker]: specific marker of the model (and might related to all its experiments in lines plots)
+#     [sizes]: line width and point size for the model (and might related to all its experiments in lines plots)
+#     [tmodif]: time modification to apply to the model files ('None' for nothing)
+#       'setorigin',[YYYYMMDDHHMISS]: re-set origin of times at [YYYYMMDDHHMISS]
+#       
+modgraphchar = WRF|wrf|red|-|,|2.|None:WRF_LMDZ|wlmdz|green|-|,|2.|None:LMDZ|lmdz|blue|-|,|2.|setorigin,19800119000000
+
+# Experiments (labels of each experiment from each model)
+WRFexps = current:micro1:micro2
 LMDZexps = AR40:NPv31
 WRF_LMDZexps = AR40:NPv31
+
+# Graphic characteristics for models
+#   Values to be used later in the graphics but not in '2lines'
+#    ':' separated list of [model]|[exp]|[labexp]|[color]|[linetype]|[marker]|[sizes]
+#     [model]: name of the model (equivalent to value in `models')
+#     [exp]: name of the experiment (equivalent to value in `[model]exps')
+#     [labexp]: label of the experiment as it should appear in the graphics
+#   If any of the following values has the value 'asmodel', the equivalent value for [model] will be taken
+#     [color]: specific color of the model
+#     [linetype]: specific type of line of the model
+#     [marker]: specific marker of the model
+#     [sizes]: line width and point size for the model
+expgraphchar = WRF|current|wcurr|asmodel|asmodel|.|asmodel:WRF|micro1|wmp1|asmodel|asmodel|x|asmodel:WRF|micro2|wmp2|asmodel|asmodel|+|asmodel:LMDZ|AR40|lmdza|asmodel|asmodel|.|asmodel:LMDZ|NPv31|lmdzb|asmodel|asmodel|x|asmodel:WRF_LMDZ|AR40|wlmdza|asmodel|asmodel|.|asmodel:WRF_LMDZ|NPv31|wlmdzb|asmodel|asmodel|x|asmodel
 
 # Headers of the files to use
@@ -92,7 +139,8 @@
 #   tmean: temporal mean values
 #   tstd: temporal standard deviation values
-#   turb: Taylor's turbulence decomposition value
-#   tvar: temporal variance values (Taylor's turbulence)
+#   tturb: Taylor's turbulence decomposition value (x - <x>) for time
+#   tvar: temporal variance values
 #   xmean: x-axis mean values
+#   xvar: x-axis variance values
 #   ymean: y-axis mean values
 #   zsum: vertical aggregated values
@@ -104,51 +152,30 @@
 #   VAR_[calc1]+[calc2] = tas:wss
 #     will compute first [calc1] and then [calc2] for 'tas' and 'wss'
-VAR_last = uas:vas:hfss:hfls
-VAR_tmean = uas:vas:hfss:hfls
-VAR_tstd = tas:wss
-VAR_tvar = tas:wss
-VAR_xmean = uas:vas:hfss:hfls
-#VAR_last+pinterp+xmean = ua:va:hur:hus:turb
-VAR_pinterp+tmean+xmean = ua:va
-
-#varlast = tas:uas:vas:ps:pr:pracc:rsds:prw:evspsbl:hfss:hfls:hurs:huss:zmla:hufs:wakes:lwakeh:stherm:zmaxth:clt:cll:clm:clh:prc:prls:bils:wss
-#vartmean = tas:uas:vas:ps:pr:pracc:rsds:prw:evspsbl:hfss:hfls:hurs:huss:zmla:hufs:wakes:lwakeh:stherm:zmaxth:clt:cll:clm:clh:prc:prls:bils:wss
-#varxmean = ta:ua:va:hur:hurs:tas:wss:ps
-#varpinterp = ta:ua:va:hur:ws:hus
-#varcombo = ta;pinterp@last@xmean:ua;pinterp@last@xmean:va;pinterp@last@xmean:hur;pinterp@last@xmean:ws;pinterp@turb@xmean:hus;pinterp@turb@xmean
-
-# Differences to compute
-#   These differences will be computed among experiments and among models (and model-experiments)
-#  ':' separated list of [var]|[op]
-#  DIFFOP_[op]: differences of the [op] of [var]. NOTE: [op] must exist for each experiment
-#    Differences are computed directly from the last stage of the operation
-#  DIFFVAR_[op]: [op] of the [var] differences [var]. NOTE: [var] must exist for each experiment
-#    First are computed the differences from the initial variable file and then operations are made
-# NOTE: remember that: meanvar2 - meanvar1 = mean(var2 - var1)
-DIFFOP_last = hfls:hfss
-DIFFOP_xmean = uas:vas
-DIFFOP_tmean = hfss:hfls
-DIFFOP_tstd = tas:wss
-DIFFOP_tvar = tas:wss
-DIFFOP_pinterp+tmean+xmean = ua:va
-
-DIFFVAR_last = hfls:hfss
-DIFFVAR_xmean = uas:vas
-DIFFVAR_tmean = hfss:hfls
-DIFFVAR_tstd = tas:wss
-DIFFVAR_tvar = tas:wss
-DIFFVAR_pinterp+tmean+xmean = ua:va
+VAR_last = uas:vas
+#VAR_tmean = hfss:hfls
+#VAR_tstd = tas:wss
+#VAR_tvar+xmean = tas:wss:hurs
+#VAR_xvar+ymean = tas:wss:hurs
+VAR_tturb+xmean+last = tas:wss:hurs
+VAR_tturb+xmean+tmean = tas:wss:hurs
+#VAR_xmean = uas:vas:tas
+##VAR_last+pinterp+xmean = ua:va:hur:hus:turb
+#VAR_pinterp+tmean+xmean = hus:ta
+
+# ':' seaprated list of operations which can not be re-projected (due to the lack of both coordinates: 'lon' and 'lat')
+NOreprojops = lmean:Lmean:xmean:ymean:turb
 
 # Operations which attach a 'surname' at the end of the variable name
 #  Values are given as opsur_[surname] = [operation1]:[operation2][:...[operationN]]
 #    opsur_mean = tmean:xmean
-#      once 'tmean', or 'xmean' are computed, variable [varn] will become [varn]mean
+#      e.g.: once 'tmean', or 'xmean' are computed, variable [varn] will become [varn]mean
 opsur_mean = Lmean:lmean:tmean:xmean:ymean
 opsur_std = tstd
-opsur_var = tvar
+opsur_turb = tturb
+opsur_var = tvar:xvar
 
 # Text as title for each operation
 #   as ':' separated list of [op]|[explanation '!' as spaces]
-titleoperations = acc|tacc:diff|diff:direct|!:last|last:Lmean|latmean:Lsec|latsec:lmean|lonmean:lsec|lonsec:pinterp|pinterp:tmean|tmean:tstd|tstd:turb|turbulence:tvar|tvar:xmean|xmean:ymean|ymean:zsum|zsum
+titleoperations = acc|tacc:diff|diff:direct|!:last|last:Lmean|latmean:Lsec|latsec:lmean|lonmean:lsec|lonsec:pinterp|pinterp:tmean|tmean:tstd|tstd:tturb|tturb:tvar|tvar:xmean|xmean:xvar|xvar:ymean|ymean:zsum|zsum
 
 # Pressure levels
@@ -175,4 +202,5 @@
 #    remapnn    Nearest neighbor remapping
 #               Performs a nearest neighbor remapping on all input fields.
+# Operators only available if projections have the corners of the grid points.
 #    remapcon   First order conservative remapping
 #               Performs a first order conservative remapping on all input fields.
@@ -182,6 +210,36 @@
 #               Performs a largest area fraction remapping on all input fields.
 CDOremapvar_dis = uas:vas:wss
-CDOremapvar_con = hfls:hfss:hus
+CDOremapvar_nn = hfls:hfss:hus:hurs
 CDOremapvar_bic = tas:ta
+
+# Differences to compute
+#   These differences will be computed among experiments and among models (and model-experiments)
+#  ':' separated list of [var]|[op]
+#  DIFFOP_[op]: differences of the [op] of [var]. NOTE: [op] must exist for each experiment
+#    Differences are computed directly from the last stage of the operation
+#  DIFFVAR_[op]: [op] of the [var] differences [var]. NOTE: [var] must exist for each experiment
+#    First are computed the differences from the initial variable file and then operations are made
+# NOTE: remember that: meanvar2 - meanvar1 = mean(var2 - var1)
+# NOTE2: For that variables with an opertion from which coordinates 'lon', 'lat' are reduced
+#   One cannot compute model differences as 'DIFFOP' since there is no way to re-project 
+#   data which has already lost one of the coordinates variable
+#
+DIFFOP_last = uas:vas
+#DIFFOP_tmean = hfss:hfls
+#DIFFOP_xmean = uas:vas
+#DIFFOP_tstd = tas:wss
+#DIFFOP_tvar = tas:wss
+#DIFFOP_pinterp+tmean+xmean = hus:ta
+
+#DIFFVAR_last = uas:vas
+#DIFFVAR_tmean = hfss:hfls
+#DIFFVAR_xmean = uas:vas
+#DIFFVAR_tstd = tas:wss
+#DIFFVAR_tvar+xmean = tas:wss:hurs
+#DIFFVAR_xvar+ymean = tas:wss:hurs
+DIFFVAR_tturb+xmean = tas:wss:hurs
+DIFFVAR_tturb+xmean+last = tas:wss:hurs
+DIFFVAR_tturb+xmean+tmean = tas:wss:hurs
+#DIFFVAR_pinterp+tmean+xmean = hus:ta
 
 # Kind of plots
@@ -189,4 +247,8 @@
 #   diffmap2Dz: 2D map of 3D differences values of 1 variable
 #   map2Dsfc: 2D map of surface values of 1 variable
+#   2lines: 1D plot with 2 lines with values at each x/x2 or y/y2 axes
+#   2lines_time: 1D plot with 2 time-lines with values at each x/x2 or y/y2 axes
+#   Nlines: 1D plot with N lines (only for all models/experimenst figures)
+#   Nlines_time: 1D plot with N time-lines (only for all models/experimenst figures)
 #   shadconthovmsfc: Hovmoeller diagrams of 2 variables at the surface one in shadow and the other in contourn
 #   shadcont2Dsfc: 2D map of shadow (1st variable) and countour (2nd variable) [stvar1]#[stvar2]
@@ -197,19 +259,28 @@
 # DIRPLT_: Figures which can be made directly without another model/experiment output
 
-DIRPLT_shadcont2Dsfc = uas|last#vas|last:hfls|last#hfss|last:tas|tstd#wss|tstd:wss|tvar#tas|tvar
-DIRPLT_shadconthovmsfc = hfls|xmean#hfss|xmean
-DIRPLT_shadcont2Dzsec = ua|pinterp+tmean+xmean#va|pinterp+tmean+xmean
-
-#pltshadcont2Dsfc = huss|tmean#tas|tmean:vas|tmean#uas|tmean:ps|tmean#wss|tmean:pr|tmean#rsds|tmean:prw|tmean#clt|tmean:hfls|tmean#hfss|tmean:evspsbl|tmean#bils|tmean:zmaxth|tmean#stherm|tmean:wakeh|tmean#wakes|tmean:zmaxth|tmean#stherm|tmean:prls|tmean#prc|tmean:clt|tmean#cll|tmean:clm|tmean#clh|tmean:hurs|tmean#zmla|tmean:huss|last#tas|last:vas|last#uas|last:ps|last#wss|tmean:pr|last#rsds|last:prw|last#clt|last:hfls|last#hfss|last:evspsbl|last#bils|last:zmaxth|last#stherm|last:wakeh|last#wakes|last:zmaxth|last#stherm|last:prls|last#prc|last:clt|last#cll|last:clm|last#clh|last:hurs|last#zmla|last
-#pltshadconthovmsfc = hurs|xmean#tas|xmean:wss|xmean#ps|xmean
-#pltshadcont2Dzsec = ua|pinterp@last@xmean#va|pinterp@last@xmean:hur|pinterp@last@xmean#ta|pinterp@last@xmean:ws|pinterp@turb@xmean#hus|pinterp@turb@xmean
-
-PLOTDIFFOP_shadcont2Dsfc = hfls|last#hfss|last:hfss|tmean#hfls|tmean:tas|tstd#wss|tstd:wss|tvar#tas|tvar
-PLOTDIFFOP_shadconthovmsfc = uas|xmean#vas|xmean
-PLOTDIFFOP_shadcont2Dzsec = ua|pinterp+tmean+xmean#va|pinterp+tmean+xmean
-
-PLOTDIFFVAR_shadcont2Dsfc = hfls|last#hfss|last:hfss|tmean#hfls|tmean:tas|tstd#wss|tstd:wss|tvar#tas|tvar
-PLOTDIFFVAR_shadconthovmsfc = uas|xmean#vas|xmean
-PLOTDIFFVAR_shadcont2Dzsec = ua|pinterp+tmean+xmean#va|pinterp+tmean+xmean
+#DIRPLT_shadcont2Dsfc = uas|last#vas|last:hfls|tmean#hfss|tmean:uas|last#vas|last:tas|tstd#wss|tstd:wss|tvar#tas|tvar
+#DIRPLT_shadcont2Dsfc = hfls|tmean#hfss|tmean:wss|tvar#tas|tvar
+DIRPLT_shadcont2Dsfc = uas|last#vas|last
+#DIRPLT_shadconthovmsfc = uas|xmean#vas|xmean:uas|xmean#tas|xmean
+#DIRPLT_shadcont2Dzsec = hus|pinterp+tmean+xmean#ta|pinterp+tmean+xmean
+DIRPLT_2lines = wss|tturb+xmean+last#tas|tturb+xmean+last:wss|tturb+xmean+tmean#tas|tturb+xmean+tmean
+#DIRPLT_2linesTime = wss|xvar+ymean#tas|xvar+ymean
+
+#PLOTDIFFOP_shadcont2Dsfc = uas|last#vas|last:hfls|tmean#hfss|tmean:uas|last#vas|last:tas|tstd#wss|tstd:wss|tvar#tas|tvar
+#PLOTDIFFOP_shadcont2Dsfc = hfls|tmean#hfss|tmean:wss|tvar#tas|tvar
+PLOTDIFFOP_shadcont2Dsfc = uas|last#vas|last
+#PLOTDIFFOP_shadconthovmsfc = uas|xmean#vas|xmean
+#PLOTDIFFOP_shadcont2Dzsec = hus|pinterp+tmean+xmean#ta|pinterp+tmean+xmean
+
+#PLOTDIFFVAR_shadcont2Dsfc = uas|last#vas|last:hfls|tmean#hfss|tmean:uas|last#vas|last:tas|tstd#wss|tstd:wss|tvar#tas|tvar
+#PLOTDIFFVAR_shadcont2Dsfc = hfls|tmean#hfss|tmean:wss|tvar#tas|tvar
+#PLOTDIFFVAR_shadconthovmsfc = uas|xmean#vas|xmean
+PLOTDIFFVAR_shadconthovmsfc = wss|tturb+xmean#tas|tturb+xmean
+#PLOTDIFFVAR_shadcont2Dzsec = hus|pinterp+tmean+xmean#ta|pinterp+tmean+xmean
+PLOTDIFFVAR_2lines = wss|tturb+xmean+last#tas|tturb+xmean+last:wss|tturb+xmean+tmean#tas|tturb+xmean+tmean
+#PLOTDIFFVAR_2linesTime = wss|xvar+ymean#tas|xvar+ymean
+
+PLOTALLMODEXP_Nlines = wss|tturb+xmean+last:tas|tturb+xmean+last:hurs|tturb+xmean+last:wss|tturb+xmean+tmean:tas|tturb+xmean+tmean:hurs|tturb+xmean+tmean
+#PLOTALLMODEXP_Nlines_time = wss|xvar+ymean:tas|xvar+ymean
 
 # Specific variable-statistisc graphic parameters (if no value is given, they will be retrieved from 'variables_values.dat')
@@ -228,7 +299,19 @@
 #          'fixsigc': fixed color [colname], >0 stright, <0 dashed  line
 #        [colorcnt]: color for the countor lines
-specificvarplot = cll|last|shadcont2Dsfc|0.|1.|gist_gray|%g|fixc|black:clh|last|shadcont2Dsfc|0.|1.|gist_gray|%g|fixc|black:husturbmean|pinterp@turb@xmean|shadcont2Dzsec|0.|1.e-6|Blues|%g|fixc|black:tas|tstd|shadcont2Dsfc|0.|10.|Reds|%g|fixc|black:wss|tstd|shadcont2Dsfc|0.|10.|Blues|%g|fixc|black:tas|tstd|shadcont2Dsfc|0.|100.|Reds|%g|fixc|black:wss|tstd|shadcont2Dsfc|0.|100.|Blues|%g|fixc|black:hfss|xmean|shadconthovmsfc|-40.|40.|Reds|%g|fixc|black:tas|tstd|shadcont2Dsfc|0.|1.5|Reds|%g|fixc|black:tas|tvar|shadcont2Dsfc|0.|1.5|Reds|%g|fixc|black:wss|tstd|shadcont2Dsfc|0.|8.|Greens|%g|fixc|black
-specificdiffopplot = hfls|tmean|shadcont2Dsfc|-20.|20.|seismic|%g|fixsigc|black:hfss|tmean|shadcont2Dsfc|-30.|30.|seismic|%g|fixsigc|black:hfls|last|shadcont2Dsfc|-800.|0.|seismic|%g|fixsigc|black:hfss|last|shadcont2Dsfc|-400.|10.|seismic|%g|fixsigc|black:uas|xmean|shadcont2Dsfc|-20.|20.|seismic|%g|fixsigc|black:vas|xmean|shadcont2Dsfc|-30.|30.|seismic|%g|fixsigc|black:ua|pinterp+tmean+xmean|shadcont2Dsfc|-20.|20.|seismic|%g|fixsigc|black:va|pinterp+tmean+xmean|shadcont2Dsfc|-20.|20.|seismic|%g|fixsigc|black:tas|tstd|shadcont2Dsfc|0.|10.|Reds|%g|fixsigc|black:wss|tstd|shadcont2Dsfc|0.|10.|Blues|%g|fixsigc|black:tas|tstd|shadcont2Dsfc|0.|100.|Reds|%g|fixsigc|black:wss|tstd|shadcont2Dsfc|0.|100.|Blues|%g|fixsigc|black:hfss|xmean|shadconthovmsfc|-40.|40.|Reds|%g|fixsigc|black:hus|pinterp+tmean+xmean|shadcont2Dzsec|-0.001|0.001|seismic|%g|fixsigc|black:ta|pinterp+tmean+xmean|shadcont2Dzsec|-5.|5.|seismic|%g|fixsigc|black
-specificdiffvarplot = hfls|tmean|shadcont2Dsfc|-20.|20.|seismic|%g|fixsigc|black:hfss|tmean|shadcont2Dsfc|-30.|30.|seismic|%g|fixsigc|black:hfls|last|shadcont2Dsfc|-800.|0.|seismic|%g|fixsigc|black:hfss|last|shadcont2Dsfc|-400.|10.|seismic|%g|fixsigc|black:uas|xmean|shadcont2Dsfc|-20.|20.|seismic|%g|fixsigc|black:vas|xmean|shadcont2Dsfc|-30.|30.|seismic|%g|fixsigc|black:ua|pinterp+tmean+xmean|shadcont2Dsfc|-20.|20.|seismic|%g|fixsigc|black:va|pinterp+tmean+xmean|shadcont2Dsfc|-20.|20.|seismic|%g|fixsigc|black:tas|tstd|shadcont2Dsfc|0.|10.|Reds|%g|fixsigc|black:wss|tstd|shadcont2Dsfc|0.|10.|Blues|%g|fixsigc|black:tas|tstd|shadcont2Dsfc|0.|100.|Reds|%g|fixsigc|black:wss|tstd|shadcont2Dsfc|0.|100.|Blues|%g|fixsigc|black:hfss|xmean|shadconthovmsfc|-40.|40.|Reds|%g|fixsigc|black:hus|pinterp+tmean+xmean|shadcont2Dzsec|-0.001|0.001|seismic|%g|fixsigc|black:ta|pinterp+tmean+xmean|shadcont2Dzsec|-5.|5.|seismic|%g|fixsigc|black
+#  NOTE: meaning of values change by lines-plots
+#  ':' separated list of specific parameters for plotting as:
+#      [varname]|[operation]|[minval]|[maxval]|[lcolor]|[lformat]|[lmark]|[wdthsz]
+#        [varname]: name of the variable
+#        [operation]: '+' separated list of operations
+#        [figure]: figure to be used
+#        [minval]: minimum value
+#        [maxval]: minimum value
+#        [lcolor]: name of the color for the line to use
+#        [lformat]: format of the line ('-', straight, '-.', etc...)
+#        [lmark]: marker of the line
+#        [wdthsz]: width of line and size of marker
+specificvarplot = cll|last|shadcont2Dsfc|0.|1.|gist_gray|%g|fixc|black:clh|last|shadcont2Dsfc|0.|1.|gist_gray|%g|fixc|black:husturbmean|pinterp@turb@xmean|shadcont2Dzsec|0.|1.e-6|Blues|%g|fixc|black:tas|tstd|shadcont2Dsfc|0.|10.|Reds|%g|fixc|black:wss|tstd|shadcont2Dsfc|0.|10.|Blues|%g|fixc|black:tas|tstd|shadcont2Dsfc|0.|100.|Reds|%g|fixc|black:wss|tstd|shadcont2Dsfc|0.|100.|Blues|%g|fixc|black:hfss|xmean|shadconthovmsfc|-40.|40.|Reds|%g|fixc|black:tas|tstd|shadcont2Dsfc|0.|1.5|Reds|%g|fixc|black:tas|tvar|shadcont2Dsfc|0.|1.5|Reds|%g|fixc|black:wss|tstd|shadcont2Dsfc|0.|8.|Greens|%g|fixc|black:wss|xvar+ymean|2linesTime|0.|15.|green|-|,|2.:tas|xvar+ymean|2linesTime|0.|2.|blue|-|,|2.
+specificdiffopplot = hfls|tmean|shadcont2Dsfc|-800.|800.|seismic|%g|fixsigc|black:hfss|tmean|shadcont2Dsfc|-300.|300.|seismic|%g|fixsigc|black:hfls|last|shadcont2Dsfc|-800.|800.|seismic|%g|fixsigc|black:hfss|last|shadcont2Dsfc|-400.|400.|seismic|%g|fixsigc|black:uas|xmean|shadcont2Dsfc|-20.|20.|seismic|%g|fixsigc|black:vas|xmean|shadcont2Dsfc|-30.|30.|seismic|%g|fixsigc|black:ua|pinterp+tmean+xmean|shadcont2Dsfc|-20.|20.|seismic|%g|fixsigc|black:va|pinterp+tmean+xmean|shadcont2Dsfc|-20.|20.|seismic|%g|fixsigc|black:tas|tstd|shadcont2Dsfc|0.|10.|Reds|%g|fixsigc|black:wss|tstd|shadcont2Dsfc|0.|10.|Blues|%g|fixsigc|black:tas|tvar|shadcont2Dsfc|0.|4.|Reds|%g|fixsigc|black:wss|tvar|shadcont2Dsfc|0.|30.|Blues|%g|fixsigc|black:hfss|xmean|shadconthovmsfc|-40.|40.|Reds|%g|fixsigc|black:hus|pinterp+tmean+xmean|shadcont2Dzsec|-0.001|0.001|seismic|%g|fixsigc|black:ta|pinterp+tmean+xmean|shadcont2Dzsec|-5.|5.|seismic|%g|fixsigc|black:wss|xvar+ymean|2linesTime|0.|15.|green|-|,|2.:tas|xvar+ymean|2linesTime|0.|2.|blue|-|,|2.
+specificdiffvarplot = hfls|tmean|shadcont2Dsfc|-800.|800.|seismic|%g|fixsigc|black:hfss|tmean|shadcont2Dsfc|-300.|300.|seismic|%g|fixsigc|black:hfls|last|shadcont2Dsfc|-800.|800.|seismic|%g|fixsigc|black:hfss|last|shadcont2Dsfc|-400.|400.|seismic|%g|fixsigc|black:uas|xmean|shadcont2Dsfc|-20.|20.|seismic|%g|fixsigc|black:vas|xmean|shadcont2Dsfc|-30.|30.|seismic|%g|fixsigc|black:ua|pinterp+tmean+xmean|shadcont2Dsfc|-20.|20.|seismic|%g|fixsigc|black:va|pinterp+tmean+xmean|shadcont2Dsfc|-20.|20.|seismic|%g|fixsigc|black:tas|tstd|shadcont2Dsfc|0.|10.|Reds|%g|fixsigc|black:wss|tvar|shadcont2Dsfc|0.|40.|Blues|%g|fixsigc|black:tas|tvar|shadcont2Dsfc|0.|4.|Reds|%g|fixsigc|black:wss|tstd|shadcont2Dsfc|0.|100.|Blues|%g|fixsigc|black:hfss|xmean|shadconthovmsfc|-40.|40.|Reds|%g|fixsigc|black:hus|pinterp+tmean+xmean|shadcont2Dzsec|-0.003|0.003|seismic|%g|fixsigc|black:ta|pinterp+tmean+xmean|shadcont2Dzsec|-80.|80.|seismic|%g|fixsigc|black:wss|xvar+ymean|2linesTime|0.|25.|green|-|,|2.:tas|xvar+ymean|2linesTime|0.|3.|blue|-|,|2.
 
 # Figures output kind
@@ -236,5 +319,5 @@
 
 # Map to use
-mapval = lcc,l
+mapval = None
 
 # Time parameters
@@ -246,5 +329,5 @@
 #  [timefmt]; desired format for the time ticks (combination of LaTeX and 'linux date formats')
 #  [timelabel]; label at the graph ('!' for spaces)
-timekind = exct,6,h
+timekind = exct,1,d
 timefmt = $%d^{%H}$
 timelabel = date!($[DD]^{[HH]}$)